# Uses of Interface
org.eclipse.core.databinding.property.list.IListProperty

Packages that use IListProperty
Package
Description
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.
org.eclipse.core.databinding.beans
Provides classes for observing JavaBeans(tm) objects.
org.eclipse.core.databinding.property
Interfaces and classes for representing and observing properties of objects.
org.eclipse.core.databinding.property.list
org.eclipse.core.databinding.property.value
org.eclipse.jface.databinding.swt
Provides classes that can be used to observe changes in SWT widgets.
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.
org.eclipse.ui.databinding.typed

## Uses of IListProperty in org.eclipse.core.databinding

Methods in org.eclipse.core.databinding that return IListProperty
Modifier and Type
Method
Description
`static IListProperty<DataBindingContext, Binding>`
BindingProperties.`bindings()`
Returns an `IListProperty` for observing the bindings of a `DataBindingContext`.
`static IListProperty<ValidationStatusProvider, IObservable>`
BindingProperties.`models()`
Returns an `IListProperty` for observing the models of a `ValidationStatusProvider`.
`static IListProperty<ValidationStatusProvider, IObservable>`
BindingProperties.`targets()`
Returns an `IListProperty` for observing the targets of a `ValidationStatusProvider`.
`static IListProperty<DataBindingContext, ValidationStatusProvider>`
BindingProperties.`validationStatusProviders()`
Returns an `IListProperty` for observing the validation status providers of a `DataBindingContext`.

## Uses of IListProperty in org.eclipse.core.databinding.beans

Subinterfaces of IListProperty in org.eclipse.core.databinding.beans
Modifier and Type
Interface
Description
`interface`
`IBeanListProperty<S,E>`
An `IListProperty` extension interface with convenience methods for creating nested bean properties.

## Uses of IListProperty in org.eclipse.core.databinding.property

Methods in org.eclipse.core.databinding.property that return IListProperty
Modifier and Type
Method
Description
`static <E> IListProperty<List<E>,E>`
Properties.`selfList(Object elementType)`
Returns a list property which takes the source object (a `List`) as the property list.

## Uses of IListProperty in org.eclipse.core.databinding.property.list

Classes in org.eclipse.core.databinding.property.list that implement IListProperty
Modifier and Type
Class
Description
`class`
`DelegatingListProperty<S,E>`
`class`
`ListProperty<S,E>`
Abstract implementation of IListProperty.
`class`
`MultiListProperty<S,E>`
A list property for observing multiple list properties in sequence in a combined list.
`class`
`SimpleListProperty<S,E>`
Simplified abstract implementation of IListProperty.
Methods in org.eclipse.core.databinding.property.list that return IListProperty
Modifier and Type
Method
Description
`protected abstract IListProperty<S,E>`
DelegatingListProperty.`doGetDelegate(S source)`
Returns the property to delegate to for the specified source object.
`final IListProperty<S,E>`
DelegatingListProperty.`getDelegate(S source)`
Returns the property to delegate to for the specified source object.
`<T> IListProperty<S,T>`
IListProperty.`values(IValueProperty<? super E, T> detailValue)`
Returns the nested combination of this property and the specified detail value property.
`final <T> IListProperty<S,T>`
ListProperty.`values(IValueProperty<? super E, T> detailValue)`
Constructors in org.eclipse.core.databinding.property.list with parameters of type IListProperty
Modifier
Constructor
Description
``
`MultiListProperty(IListProperty<S,E>... properties)`
Constructs a MultiListProperty for observing the specified list properties in sequence
``
`MultiListProperty(IListProperty<S,E>[] properties, Object elementType)`
Constructs a MultiListProperty for observing the specified list properties in sequence.

## Uses of IListProperty in org.eclipse.core.databinding.property.value

Methods in org.eclipse.core.databinding.property.value that return IListProperty
Modifier and Type
Method
Description
`<E> IListProperty<S,E>`
IValueProperty.`list(IListProperty<? super T, E> detailList)`
Returns the nested combination of this property and the specified detail list property.
`final <E> IListProperty<S,E>`
ValueProperty.`list(IListProperty<? super T, E> detailList)`
Methods in org.eclipse.core.databinding.property.value with parameters of type IListProperty
Modifier and Type
Method
Description
`<E> IListProperty<S,E>`
IValueProperty.`list(IListProperty<? super T, E> detailList)`
Returns the nested combination of this property and the specified detail list property.
`final <E> IListProperty<S,E>`
ValueProperty.`list(IListProperty<? super T, E> detailList)`

## Uses of IListProperty in org.eclipse.jface.databinding.swt

Subinterfaces of IListProperty in org.eclipse.jface.databinding.swt
Modifier and Type
Interface
Description
`interface`
`IWidgetListProperty<S extends Widget, E>`
`IListProperty` for observing an SWT Widget
Classes in org.eclipse.jface.databinding.swt that implement IListProperty
Modifier and Type
Class
Description
`class`
`WidgetListProperty<S extends Widget, E>`
Abstract list property implementation for `Widget` properties.

## Uses of IListProperty in org.eclipse.jface.databinding.viewers

Subinterfaces of IListProperty in org.eclipse.jface.databinding.viewers
Modifier and Type
Interface
Description
`interface`
`IViewerListProperty<S,E>`
`IListProperty` for observing a JFace viewer
Classes in org.eclipse.jface.databinding.viewers that implement IListProperty
Modifier and Type
Class
Description
`class`
`ViewerListProperty<S,E>`
Abstract list property implementation for `Viewer` properties.
Methods in org.eclipse.jface.databinding.viewers with parameters of type IListProperty
Modifier and Type
Method
Description
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, IListProperty<? super E, ? extends E> childrenProperty, IValueProperty<? super E, ?> labelProperty)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, IListProperty<? super E, ? extends E> childrenProperty, IValueProperty<? super E, ?>... labelProperties)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.

## Uses of IListProperty in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed that return IListProperty
Modifier and Type
Method
Description
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection()`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection(Class<E> elementType)`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection(String partId, boolean postSelection)`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection(String partId, boolean postSelection, Class<E> elementType)`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.